tigase.server.xmppsession

## Class SessionManagerConfig

- java.lang.Object
- - tigase.server.xmppsession.SessionManagerConfig

-     public abstract class SessionManagerConfig
      extends Object

  Describe class SessionManagerConfig here.
  Created: Tue Oct 24 23:07:57 2006
  Version:
    $Rev$
  Author:
    Artur Hefczyc

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static String` | `ACTIVE_USER_TIMEFRAME_KEY`
    `protected static long` | `ACTIVE_USER_TIMEFRAME_VAL`
    `protected static String` | `ADMIN_SCRIPTS_PROP_KEY`
    `protected static String` | `ADMIN_SCRIPTS_PROP_VAL`
    `protected static String` | `AUTH_TIMEOUT_PROP_KEY`
    `protected static long` | `AUTH_TIMEOUT_PROP_VAL`
    `protected static String` | `AUTO_CREATE_OFFLINE_USER_PROP_KEY`
    `protected static String` | `AUTO_CREATE_OFFLINE_USER_PROP_VAL`
    `static String` | `defaultHandlerProcId`
    `protected static String` | `FORCE_DETAIL_STALE_CONNECTION_CHECK`
    `static String` | `PLUGINS_CONCURRENCY_PROP_KEY`
    `static String` | `PLUGINS_CONF_PROP_KEY`
    `static String` | `PLUGINS_PROP_KEY`
    `static String` | `sessionCloseProcId`
    `static String` | `sessionOpenProcId`
    `protected static String` | `SKIP_PRIVACY_PROP_KEY`
    `protected static String` | `SM_THREADS_FACTOR_PROP_KEY`
    `protected static int` | `SM_THREADS_FACTOR_PROP_VAL`
    `protected static String` | `SM_THREADS_POOL_CUSTOM_PROP_VAL`
    `static String` | `SM_THREADS_POOL_PROP_KEY`
    `protected static String` | `SM_THREADS_POOL_PROP_VAL`
    `protected static String` | `STALE_CONNECTION_CLOSER_QUEUE_SIZE_KEY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SessionManagerConfig()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### defaultHandlerProcId

          public static final String defaultHandlerProcId

      See Also:
        Constant Field Values

    - #### PLUGINS_CONCURRENCY_PROP_KEY

          public static final String PLUGINS_CONCURRENCY_PROP_KEY

      See Also:
        Constant Field Values

    - #### PLUGINS_CONF_PROP_KEY

          public static final String PLUGINS_CONF_PROP_KEY

      See Also:
        Constant Field Values

    - #### PLUGINS_PROP_KEY

          public static final String PLUGINS_PROP_KEY

      See Also:
        Constant Field Values

    - #### sessionCloseProcId

          public static final String sessionCloseProcId

      See Also:
        Constant Field Values

    - #### sessionOpenProcId

          public static final String sessionOpenProcId

      See Also:
        Constant Field Values

    - #### SM_THREADS_POOL_PROP_KEY

          public static final String SM_THREADS_POOL_PROP_KEY

      See Also:
        Constant Field Values

    - #### ADMIN_SCRIPTS_PROP_KEY

          protected static final String ADMIN_SCRIPTS_PROP_KEY

      See Also:
        Constant Field Values

    - #### ADMIN_SCRIPTS_PROP_VAL

          protected static final String ADMIN_SCRIPTS_PROP_VAL

      See Also:
        Constant Field Values

    - #### AUTO_CREATE_OFFLINE_USER_PROP_KEY

          protected static final String AUTO_CREATE_OFFLINE_USER_PROP_KEY

      See Also:
        Constant Field Values

    - #### AUTO_CREATE_OFFLINE_USER_PROP_VAL

          protected static final String AUTO_CREATE_OFFLINE_USER_PROP_VAL

      See Also:
        Constant Field Values

    - #### FORCE_DETAIL_STALE_CONNECTION_CHECK

          protected static final String FORCE_DETAIL_STALE_CONNECTION_CHECK

      See Also:
        Constant Field Values

    - #### SKIP_PRIVACY_PROP_KEY

          protected static final String SKIP_PRIVACY_PROP_KEY

      See Also:
        Constant Field Values

    - #### SM_THREADS_POOL_CUSTOM_PROP_VAL

          protected static final String SM_THREADS_POOL_CUSTOM_PROP_VAL

      See Also:
        Constant Field Values

    - #### SM_THREADS_POOL_PROP_VAL

          protected static final String SM_THREADS_POOL_PROP_VAL

      See Also:
        Constant Field Values

    - #### SM_THREADS_FACTOR_PROP_KEY

          protected static final String SM_THREADS_FACTOR_PROP_KEY

      See Also:
        Constant Field Values

    - #### SM_THREADS_FACTOR_PROP_VAL

          protected static final int SM_THREADS_FACTOR_PROP_VAL

      See Also:
        Constant Field Values

    - #### ACTIVE_USER_TIMEFRAME_KEY

          protected static final String ACTIVE_USER_TIMEFRAME_KEY

      See Also:
        Constant Field Values

    - #### ACTIVE_USER_TIMEFRAME_VAL

          protected static final long ACTIVE_USER_TIMEFRAME_VAL

      See Also:
        Constant Field Values

    - #### AUTH_TIMEOUT_PROP_KEY

          protected static final String AUTH_TIMEOUT_PROP_KEY

      See Also:
        Constant Field Values

    - #### AUTH_TIMEOUT_PROP_VAL

          protected static final long AUTH_TIMEOUT_PROP_VAL

      See Also:
        Constant Field Values

    - #### STALE_CONNECTION_CLOSER_QUEUE_SIZE_KEY

          protected static final String STALE_CONNECTION_CLOSER_QUEUE_SIZE_KEY

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### SessionManagerConfig

          public SessionManagerConfig()

Copyright © 2004–2019 "Tigase, Inc.". All rights reserved.